## org.apache.lucene.search
Class FieldDoc

    java.lang.Object
      org.apache.lucene.search.ScoreDoc
          org.apache.lucene.search.FieldDoc

All Implemented Interfaces:
  java.io.Serializable

    public class FieldDoc

extends ScoreDoc

Expert: A ScoreDoc which also contains information about how to sort the referenced document. In addition to the document number and score, this object contains an array of values for the document from the field(s) used to sort. For example, if the sort criteria was to sort by fields "a", "b" then "c", the `fields` object array will have three elements, corresponding respectively to the term values for the document in fields "a", "b" and "c". The class of each element in the array will be either Integer, Float or String depending on the type of values in the terms of each field.

Created: Feb 11, 2004 1:23:38 PM

Since:
  lucene 1.4
Version:
  $Id: FieldDoc.java 950095 2010-06-01 14:44:59Z mikemccand $
See Also:
  `ScoreDoc`, `TopFieldDocs`, Serialized Form

Field Summary
`java.lang.Comparable[]` `fields` Expert: The values which are used to sort the referenced document.

Fields inherited from class org.apache.lucene.search.ScoreDoc
`doc, score`

Constructor Summary
`FieldDoc(int doc, float score)` Expert: Creates one of these objects with empty sort information.
`FieldDoc(int doc, float score, java.lang.Comparable[] fields)` Expert: Creates one of these objects with the given sort information.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fields

    public java.lang.Comparable[] fields

  Expert: The values which are used to sort the referenced document. The order of these will match the original sort criteria given by a Sort object. Each Object will be either an Integer, Float or String, depending on the type of values in the terms of the original field.

  See Also:
    `Sort`, `Searcher.search(Query,Filter,int,Sort)`

Constructor Detail

### FieldDoc

    public FieldDoc(int doc,
                    float score)

  Expert: Creates one of these objects with empty sort information.

### FieldDoc

    public FieldDoc(int doc,
                    float score,
                    java.lang.Comparable[] fields)

  Expert: Creates one of these objects with the given sort information.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ScoreDoc`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.